<ejs-dialog id="confirmDialog" #confirmDialog [visible]='false' [animationSettings]='animationSettings' [showCloseIcon]='true'
 width='400px' isModal="true">
    <ng-template #header>
        <div title="{{i18Labels?.Delete_connection}}" class="e-icon-settings dlg-template">
            {{i18Labels?.Delete_connection}} </div>
    </ng-template>
    <ng-template #content>
        <p >  {{i18Labels?.delete_confirmation}}</p>
    </ng-template>
    <div class="form-group container">
        <div class="submitBtn">
            <button class="submit-btn e-btn ml-1 mr-1" id="submit-btn" type="reset"
            (click)="deleteConnection()">  {{i18Labels?.YES}} </button>
            <button class="submit-btn e-btn ml-1 mr-1" id="submit-btn" type="reset"
                (click)="dont_delete_connection()"> {{i18Labels?.No}} </button>
        </div>
    </div>
</ejs-dialog>



<div>
    <div class="control-section">
        <nav class="navbar justify-content-between">
            <div class="row">
                <div class="col-md-2 ">
                    <em class="mt-2 fa fa-ethernet fa-3x"></em>
                </div>
                <div class="col-md-10">
                    <h6 class="nav_logo heading_style">{{i18Labels?.Connectors}}</h6>
                    <p class="sub-heading"><small>{{i18Labels?.description}}</small></p>
                </div>
            </div>
            <button class="btn btn-sm btn-dark btn-new-con" (click)="newConnection()">{{i18Labels?.New_connection}}</button>
        </nav>

        <ejs-grid #gridelement [dataSource]='connectorList' [allowPaging]="true" [allowSorting]="true"
            [pageSettings]='pageSettings' [toolbar]='toolbarOptions' [allowTextWrap]='true'
            [sortSettings]='sortOptions'  class="connectors-layout">
            <e-columns>
                <e-column field="name" headerText='{{i18Labels?.name}}' width=50>
                    <ng-template #template let-data>
                        <div (click)="connectionDetails(data)" class="blue clickcss"> 
                            <img src="{{connectorService.CONNECTOR_TYPES[data.connection_type]?.imagePath}}" width="20" alt="{{connectorService.CONNECTOR_TYPES[data.connection_type]?.name}}" />
                            {{data?.name}}
                        </div>
                    </ng-template>
                </e-column>
                <!-- <e-column headerText='{{i18Labels?.status}}' width=40 field="status">
                </e-column> -->

                <e-column headerText=' {{i18Labels?.Connector_Type}}' width=30>
                    <ng-template #template let-data>
                        {{connectorService.CONNECTOR_TYPES[data.connection_type]?.name}}
                    </ng-template>
                </e-column>

                <e-column field="created_by" headerText='{{i18Labels?.created_by}}' width=30></e-column>
                <e-column field="created_on" headerText='{{i18Labels?.created_on}}' width=40 type='datetime'
                    [format]="{ type: 'dateTime' , format: 'MM/dd/yyyy | hh:mm a' }"></e-column>
                <e-column field="modified_by" headerText='{{i18Labels?.modified_by}}' width=30></e-column>

                <e-column field="modified_on" headerText='{{i18Labels?.modified_on}}' width=40 type='datetime'
                    [format]="{ type: 'dateTime' , format: 'MM/dd/yyyy | hh:mm a' }"></e-column>

                <e-column headerText='{{i18Labels?.Edit}}' width=20>
                    <ng-template #template let-data>
                        <img src="assets/images/novartis/edit.svg" class="icon-class" alt="{{i18Labels?.Edit}}" (click)="editConnection(data)">
                    </ng-template>
                    
                </e-column>
                
                <e-column headerText='{{i18Labels?.Remove}}' width=20>
                    <ng-template #template let-data>
                        <img src="assets/images/novartis/delete.svg" class="icon-class" alt="{{i18Labels?.Remove}}" (click)="modalBtnClick(data['id'])"/>
                    </ng-template>
                    
                </e-column>

                <e-column headerText='{{i18Labels?.View}}' width=20>
                    <ng-template #template let-data>
                        <img src="assets/images/novartis/next.svg" class="icon-css" alt="View" (click)="connectionDetails(data)"  />
                    </ng-template>
                    
                </e-column>

                <!-- <e-column width= 40>
                    <ng-template #template let-data>
                        <div class="btn-group fa-pull-right">
                            <button type="button" class="btn btn-outline-secondary btn-sm dropdown-toggle "
                                data-toggle="dropdown">
                                <span class="caret  caret-align"></span>
                            </button>
                            <ul class="dropdown-menu" role="menu">

                                <div><em class="fa fa-trash ml-3"></em><button class="btn btn-sm fa"
                                        (click)="modalBtnClick(data['id'])">{{i18Labels?.Remove}}</button></div>

                                 <div><em class="fa fa-edit ml-3"></em><button class="btn btn-sm fa"
                                            (click)="editConnection(data)">{{i18Labels?.Edit}}</button></div>
    

                            </ul>
                        </div>


                    </ng-template>
                </e-column> -->
            </e-columns>
        </ejs-grid>

    </div>
</div>